Message: can not compile example N01 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question can not compile example N01 

Forum: Installation and Configuration
Date: 21 Aug, 2009
From: <hyperaesthetic>

Hello All,

I am running CentOS 5.3 64bit with gcc version 4.1.2.

I installed Geant4 without problem, and tried to test example problems, but couldn't make the example #1. From my poking around the internet it looks as though my problem stems from the compilation process trying to use a 32 bit version of library files rather than 64 bit versions.

I'd appreciate any pointers for solving this problem. Below is the error message during my 'make' attempt.

Thank you,

Hyper!

[12:13:56] N01 3 $ make Making dependency for file exampleN01.cc ... Making dependency for file src/ExN01PrimaryGeneratorAction.cc ... Making dependency for file src/ExN01PhysicsList.cc ... Making dependency for file src/ExN01DetectorConstruction.cc ... Compiling ExN01DetectorConstruction.cc ... Compiling ExN01PhysicsList.cc ... Compiling ExN01PrimaryGeneratorAction.cc ... Creating/replacing object files in /home/kiwi/g4work/tmp/Linux-g++/exampleN01/libexampleN01.a ... ar: creating /home/kiwi/g4work/tmp/Linux-g++/exampleN01/libexampleN01.a Compiling exampleN01.cc ... Using granular libraries ... Linking exampleN01 ... /usr/bin/ld: skipping incompatible /usr/lib/libXi.so when searching for -lXi /usr/bin/ld: cannot find -lXi collect2: ld returned 1 exit status make: *** [/home/kiwi/g4work/bin/Linux-g++/exampleN01] Error 1

 Add Message Add Message
to: "can not compile example N01"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]